/**
 * Go through our messages and tag a frame id for messages without one.
 */

load('load/string.js');
load('ansitex/load/msgbases.js');

const ma = new MsgAreas()
for (var i=0;i<ma.areas.length;i++) {
	writeln('Area: '+ma.areas[i].full_name);
	writeln('Total Messages: '+ma.areas[i].list.length);

	writeln('Tagged Messages: '+ma.areas[i].list_tagged.length);
	writeln('  '+ma.areas[i].list_tagged.map(function(x) { return x.tags; }).sort().join('|'));

	writeln('Untagged Messages: '+ma.areas[i].list_untagged.length);
	writeln('  '+ma.areas[i].list_untagged.map(function(x) { return x.number; }).sort(function(a,b) { return a-b; }).join('|'));

	ma.areas[i].tag_msgs();
}
